curl --request POST \
--url https://api.lendflow.com/api/applications/{application_id}/duplicate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"funding_advisor_id": 16,
"underwriter_id": 16,
"analyst_id": 16,
"client_funding_advisor_id": 16,
"client_underwriter_id": 16,
"client_analyst_id": 16,
"client_id": null,
"workflow_template_id": null,
"sync_documents": true
}
'import requests
url = "https://api.lendflow.com/api/applications/{application_id}/duplicate"
payload = {
"funding_advisor_id": 16,
"underwriter_id": 16,
"analyst_id": 16,
"client_funding_advisor_id": 16,
"client_underwriter_id": 16,
"client_analyst_id": 16,
"client_id": None,
"workflow_template_id": None,
"sync_documents": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
funding_advisor_id: 16,
underwriter_id: 16,
analyst_id: 16,
client_funding_advisor_id: 16,
client_underwriter_id: 16,
client_analyst_id: 16,
client_id: null,
workflow_template_id: null,
sync_documents: true
})
};
fetch('https://api.lendflow.com/api/applications/{application_id}/duplicate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": null,
"client_id": null,
"brand_name_id": null,
"workflow_segment": null,
"client_tracking_token": null,
"status": null,
"closing_status_id": null,
"progress": 0,
"use_of_fund_id": null,
"docusign_placeholder_id": null,
"contract_template_id": null,
"consent_template_id": null,
"funds_needed_time_id": null,
"is_business_credit": false,
"is_equipment_rental": false,
"is_data_capture": false,
"is_discovery_complete": null,
"finished_type": null,
"finished_at": null,
"amount_needed": null,
"referrer_url": null,
"source": null,
"underwriter_review_needed": null,
"created_at": null,
"updated_at": null,
"offers_declined_feedback": null,
"offers_declined_at": null,
"has_bank_data": false,
"moneythumb_book": null,
"stage": null,
"is_client_funded": false,
"repayment_percentage": 0,
"score_card_id": null,
"score_card_group_id": null,
"has_insurance": null,
"deal_mode": 1,
"workflow": 1,
"has_death_notification": false,
"tracking_tokens": [],
"priority": null
}
}Duplicate Application
Creates a copy of an existing application and returns the new application. The copy can target a different workflow template, client, or set of assigned users, and can optionally carry over the original application’s documents.
Authorizations
You can register for a new Lendflow API key on our client portal in less than 60 seconds. The Bearer Token needs to be included in all API requests made to the API Service in the following form:
Path Parameters
The ID of the application.
Body
Funding advisor for application.
16
Underwriter for application.
16
Analyst for application.
16
Client funding advisor for application.
16
Client underwriter for application.
16
Client analyst for application.
16
Client (Organization) for application. Must match an existing stored value.
null
ID of the workflow template to apply to the new application. Must match an existing stored value.
null
Whether documents from the original application are copied onto the duplicate. Defaults to true.
true
Response
Show child attributes
Show child attributes
Was this page helpful?